List Cluster Addons Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"namespace": "<string>",
"registry_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"health": "<string>",
"icon": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"stack_name": "<string>",
"state": "creating",
"through_ankra": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Clusters
List Cluster Addons Endpoint
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
addons
List Cluster Addons Endpoint
import requests
url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/{cluster_id}/addons \
--header 'Authorization: Bearer <token>'{
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"result": [
{
"chart_name": "<string>",
"chart_version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"namespace": "<string>",
"registry_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"health": "<string>",
"icon": "<string>",
"latest_chart_version": "<string>",
"registry_name": "<string>",
"stack_name": "<string>",
"state": "creating",
"through_ankra": false
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.